@echo off
cd ./src

set file_bin=
for %%i in (MagicianPro_Servo_FOE*) do ( 
  set "file_bin=%%i"
  echo Found file: %%i
)
echo %file_bin%
if defined file_bin (
  set "file_name=%file_bin%"
  echo File name: %file_bin%
) else (
  echo No bin file found.
  exit
)
cd %~d0
set server_ip=192.168.1.6
set update_bin=firm_update
set shell_bin=check_file.sh
echo %server_ip%>>ip_address.txt


ping %server_ip% -w 150 -n 1 > nul

::result 1.

if %ERRORLEVEL%==0 (
	::扫描脚本 磁盘 文件
	plink.exe -ssh -l root -pw dobot %server_ip% sync
	plink.exe -ssh -l root -pw dobot %server_ip% mkdir /dobot/userdata/project/fireware
	pscp.exe -pw dobot -r %file_bin% root@%server_ip%:/dobot/userdata/project/fireware/
	pscp.exe -pw dobot -r %update_bin% root@%server_ip%:/dobot/userdata/project/fireware/
	pscp.exe -pw dobot -r %shell_bin% root@%server_ip%:/dobot/userdata/project/fireware/

	plink.exe -ssh -l root -pw dobot %server_ip% sync
	ping %server_ip% -w 1000 -n 1 > nul
	plink.exe -ssh -l root -pw dobot %server_ip% sh /dobot/userdata/project/fireware/%shell_bin% %file_bin%
	::检测文件中是否有result  1
	plink.exe -ssh -l root -pw dobot %server_ip% rm /dobot/userdata/project/fireware -rf
	
	color 2
	echo " *  ____                                             _  * "
	echo " * / ___|   _   _    ___    ___    ___   ___   ___  | | * "
	echo " * \___ \  | | | |  / __|  / __|  / _ \ / __| / __| | | * "
	echo " *  ___) | | |_| | | (__  | (__  |  __/ \__ \ \__ \ |_| * "
	echo " * |____/   \__,_|  \___|  \___|  \___| |___/ |___/ (_) * "
	echo " *                                                      * "
	echo ...................The file is not missing..................
	echo .................Disk condition is correct..................

) else (

	color 4
	echo " *  _____           _   _               _   _  * "
    echo " * |  ___|   __ _  (_) | |   ___     __| | | | * "
    echo " * | |_     / _` | | | | |  / _ \   / _  | | | * "
    echo " * |  _|   | (_| | | | | | |  __/  | (_| | |_| * "
    echo " * |_|      \__,_| |_| |_|  \___|   \__,_| (_) * "
    echo " *                                             * "
    echo " *                                             * "
	echo .ping %server_ip% is  not ok , ip address is wrong.
	echo ...........please check the ip address.............

)

:End
TIMEOUT /T 20 /NOBREAK